Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.ede.api
Class StatementException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.wlevs.ede.api.StatementException

public class StatementException
extends java.lang.RuntimeException

Exception raised when attempting to add an invalid statement

See Also:
  Serialized Form

Constructor Summary
`StatementException(java.lang.Exception e)`
`StatementException(java.lang.String msg)`
`StatementException(java.lang.String message, java.lang.Throwable cause)`

Method Summary
`int` | `getColumnNumber()` Returns column number on which an error was detected.
`int` | `getEndOffset()`
`int` | `getLineNumber()` Returns line number on which an error was detected.
`int` | `getStartOffset()`
`boolean` | `hasLocation()` Indicates whether or not location information is available for this exception
`boolean` | `hasOffsetInformation()` Indicates whether this exception has offset information.
`void` | `setEndOffset(int endOffset)`
`void` | `setStartOffset(int startOffset)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatementException

    public StatementException(java.lang.String message,
                              java.lang.Throwable cause)

### StatementException

    public StatementException(java.lang.String msg)

### StatementException

    public StatementException(java.lang.Exception e)

Method Detail

### hasLocation

    public boolean hasLocation()

  Indicates whether or not location information is available for this exception

  Returns:
    true if location information is available and false otherwise.

### getLineNumber

    public int getLineNumber()

  Returns line number on which an error was detected.

  Returns:
    line number location of error

### getColumnNumber

    public int getColumnNumber()

  Returns column number on which an error was detected.

  Returns:
    column number location of error

### hasOffsetInformation

    public boolean hasOffsetInformation()

  Indicates whether this exception has offset information. There are two forms of location information--line/col and offset-based. This setting is independent of whether hasLocationInformation() returns true or false.

### getStartOffset

    public int getStartOffset()

### setStartOffset

    public void setStartOffset(int startOffset)

### getEndOffset

    public int getEndOffset()

### setEndOffset

    public void setEndOffset(int endOffset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.